#
# spec file for package ghc-gtk3
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name gtk3
Name:           ghc-%{pkg_name}
Version:        0.14.7
Release:        lp150.1.9
Summary:        Binding to the Gtk+ 3 graphical user interface library
License:        LGPL-2.1+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE work-around-pixel-define.patch -- mimi.vx@gmail.com .. undefine pixel, patch by debian
Patch0:         work-around-pixel-define.patch
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-gio-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk2hs-buildtools-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
This is the core library of the Gtk2Hs suite of libraries for Haskell based on
Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
graphical user interfaces.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(gthread-2.0)
Requires:       pkgconfig(gtk+-3.0)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc COPYING
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/actionMenu
%dir %{_datadir}/%{pkg_name}-%{version}/buttonbox
%dir %{_datadir}/%{pkg_name}-%{version}/carsim
%dir %{_datadir}/%{pkg_name}-%{version}/concurrent
%dir %{_datadir}/%{pkg_name}-%{version}/embedded
%dir %{_datadir}/%{pkg_name}-%{version}/fastdraw
%dir %{_datadir}/%{pkg_name}-%{version}/filechooser
%dir %{_datadir}/%{pkg_name}-%{version}/fonts
%dir %{_datadir}/%{pkg_name}-%{version}/graphic
%dir %{_datadir}/%{pkg_name}-%{version}/gtkbuilder
%dir %{_datadir}/%{pkg_name}-%{version}/hello
%dir %{_datadir}/%{pkg_name}-%{version}/inputmethod
%dir %{_datadir}/%{pkg_name}-%{version}/menu
%dir %{_datadir}/%{pkg_name}-%{version}/notebook
%dir %{_datadir}/%{pkg_name}-%{version}/statusicon
%dir %{_datadir}/%{pkg_name}-%{version}/treelist
%dir %{_datadir}/%{pkg_name}-%{version}/treelist/resListDND
%dir %{_datadir}/%{pkg_name}-%{version}/unicode
%{_datadir}/%{pkg_name}-%{version}/actionMenu/ActionMenu.hs
%{_datadir}/%{pkg_name}-%{version}/actionMenu/Makefile
%{_datadir}/%{pkg_name}-%{version}/buttonbox/ButtonBox.hs
%{_datadir}/%{pkg_name}-%{version}/buttonbox/Makefile
%{_datadir}/%{pkg_name}-%{version}/carsim/CarSim.hs
%{_datadir}/%{pkg_name}-%{version}/carsim/Makefile
%{_datadir}/%{pkg_name}-%{version}/concurrent/Makefile
%{_datadir}/%{pkg_name}-%{version}/concurrent/Progress.hs
%{_datadir}/%{pkg_name}-%{version}/concurrent/ProgressThreadedRTS.hs
%{_datadir}/%{pkg_name}-%{version}/embedded/Embedded.hs
%{_datadir}/%{pkg_name}-%{version}/embedded/Makefile
%{_datadir}/%{pkg_name}-%{version}/embedded/MPlayer.hs
%{_datadir}/%{pkg_name}-%{version}/embedded/Notes.txt
%{_datadir}/%{pkg_name}-%{version}/embedded/Uzbl.hs
%{_datadir}/%{pkg_name}-%{version}/fastdraw/FastDraw.hs
%{_datadir}/%{pkg_name}-%{version}/fastdraw/Makefile
%{_datadir}/%{pkg_name}-%{version}/filechooser/FileChooserDemo.glade
%{_datadir}/%{pkg_name}-%{version}/filechooser/FileChooserDemo.hs
%{_datadir}/%{pkg_name}-%{version}/filechooser/Makefile
%{_datadir}/%{pkg_name}-%{version}/fonts/Fonts.hs
%{_datadir}/%{pkg_name}-%{version}/fonts/Makefile
%{_datadir}/%{pkg_name}-%{version}/graphic/Drawing.hs
%{_datadir}/%{pkg_name}-%{version}/graphic/Makefile
%{_datadir}/%{pkg_name}-%{version}/gtkbuilder/GtkBuilderTest.hs
%{_datadir}/%{pkg_name}-%{version}/gtkbuilder/Makefile
%{_datadir}/%{pkg_name}-%{version}/gtkbuilder/simple.ui
%{_datadir}/%{pkg_name}-%{version}/hello/Makefile
%{_datadir}/%{pkg_name}-%{version}/hello/World.hs
%{_datadir}/%{pkg_name}-%{version}/inputmethod/Layout.hs
%{_datadir}/%{pkg_name}-%{version}/inputmethod/Makefile
%{_datadir}/%{pkg_name}-%{version}/menu/ComboDemo.hs
%{_datadir}/%{pkg_name}-%{version}/menu/Makefile
%{_datadir}/%{pkg_name}-%{version}/menu/MenuDemo.hs
%{_datadir}/%{pkg_name}-%{version}/notebook/Notebook.hs
%{_datadir}/%{pkg_name}-%{version}/notebook/Makefile
%{_datadir}/%{pkg_name}-%{version}/statusicon/Makefile
%{_datadir}/%{pkg_name}-%{version}/statusicon/StatusIcon.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/Completion.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/DirList.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/FilterDemo.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/ListDemo.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/ListDND.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/ListTest.glade
%{_datadir}/%{pkg_name}-%{version}/treelist/ListTest.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/ListText.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/Makefile
%{_datadir}/%{pkg_name}-%{version}/treelist/rgb.txt
%{_datadir}/%{pkg_name}-%{version}/treelist/TreeDemo.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/TreeSort.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/TreeTest.glade
%{_datadir}/%{pkg_name}-%{version}/treelist/TreeTest.hs
%{_datadir}/%{pkg_name}-%{version}/treelist/resListDND/desktop.png
%{_datadir}/%{pkg_name}-%{version}/treelist/resListDND/laptop.png
%{_datadir}/%{pkg_name}-%{version}/treelist/resListDND/laptopSmall.png
%{_datadir}/%{pkg_name}-%{version}/treelist/resListDND/printer.png
%{_datadir}/%{pkg_name}-%{version}/treelist/resListDND/server.png
%{_datadir}/%{pkg_name}-%{version}/treelist/resListDND/tower.png
%{_datadir}/%{pkg_name}-%{version}/unicode/Arabic.hs
%{_datadir}/%{pkg_name}-%{version}/unicode/Makefile
%{_datadir}/%{pkg_name}-%{version}/demos.txt

%files devel -f %{name}-devel.files

%changelog
* Wed Oct 11 2017 psimons@suse.com
- Update to version 0.14.7.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Oct 30 2016 psimons@suse.com
- Update to version 0.14.6 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.14.5 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.14.2 revision 0 with cabal2obs.
* Wed Feb 10 2016 mimi.vx@gmail.com
- add Provides for ghc-gtk
* Wed Dec 16 2015 mimi.vx@gmail.com
- add work-around-pixel-define.patch for fix build on ppc* archs
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 0.14.2
* Sat Sep  5 2015 mimi.vx@gmail.com
- initial commit
